summaryrefslogtreecommitdiff
path: root/net-news
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-07-01 14:18:03 +0000
committerLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-07-01 14:18:03 +0000
commitfb6ffa5e6e2e05267623d09239d10327c35fa8c4 (patch)
treede239dab4f4e0097f772d2c02f88c5cd40541d2f /net-news
parentd8787bc1ff136d4f231e24cc9fcbd89bb3d11842 (diff)
downloadbaldeagleos-repo-fb6ffa5e6e2e05267623d09239d10327c35fa8c4.tar.gz
baldeagleos-repo-fb6ffa5e6e2e05267623d09239d10327c35fa8c4.tar.xz
baldeagleos-repo-fb6ffa5e6e2e05267623d09239d10327c35fa8c4.zip
Updating liguros repo
Diffstat (limited to 'net-news')
-rw-r--r--net-news/amphetadesk/amphetadesk-0.93.1-r1.ebuild2
-rw-r--r--net-news/liferea/Manifest2
-rw-r--r--net-news/liferea/liferea-1.12.3.ebuild67
-rw-r--r--net-news/liferea/liferea-1.12.8.ebuild67
-rw-r--r--net-news/rawdog/rawdog-2.22-r1.ebuild2
-rw-r--r--net-news/rsstail/rsstail-1.8.ebuild2
-rw-r--r--net-news/rsstool/rsstool-1.0.1_rc2.ebuild2
-rw-r--r--net-news/yydecode/yydecode-0.2.10-r1.ebuild2
8 files changed, 73 insertions, 73 deletions
diff --git a/net-news/amphetadesk/amphetadesk-0.93.1-r1.ebuild b/net-news/amphetadesk/amphetadesk-0.93.1-r1.ebuild
index 197f4bf953be..a7d9bccd33ed 100644
--- a/net-news/amphetadesk/amphetadesk-0.93.1-r1.ebuild
+++ b/net-news/amphetadesk/amphetadesk-0.93.1-r1.ebuild
@@ -4,7 +4,7 @@
EAPI=6
DESCRIPTION="AmphetaDesk is a free syndicated news aggregator"
-HOMEPAGE="http://www.disobey.com/amphetadesk/"
+HOMEPAGE="https://www.disobey.com/amphetadesk/"
SRC_URI="mirror://sourceforge/sourceforge/amphetadesk/${PN}-src-v${PV}.tar.gz"
LICENSE="Artistic"
SLOT="0"
diff --git a/net-news/liferea/Manifest b/net-news/liferea/Manifest
index c038565a1be3..a8a7d4d26190 100644
--- a/net-news/liferea/Manifest
+++ b/net-news/liferea/Manifest
@@ -1,2 +1,2 @@
-DIST liferea-1.12.3.tar.bz2 1467804 BLAKE2B 3ef8039b7af136568e041309a384547543908e193cd384af819e24cd7ae213e4020e0ea099128295603ecf36d5d817b7529a2356191320ba80f4624128a72a36 SHA512 574dd13502fee81e81e88a0fa3a57028af2d2bfcfed5a132468a2be9257a886c7cbf958883c230deb6dbf952912ecc92631396ef6b5c353315833e0541db1208
DIST liferea-1.12.7.tar.bz2 1495627 BLAKE2B 36e95d270e3c3f68499073c7f2b1b6c987b67fc40517bfeb95c7ce02fc0c66daccb8e7d15709f1a047b36eea3d6d0cfe4af2e37f6809051f1be7613a36e0234f SHA512 7628f089940cd285ae6269b8d788b230572a0f5cab8a81ea1e92010de98a3ecd21d39596be6c18c055469579468fe3df7fca4e917a6a1ef3644a5e24c8e55109
+DIST liferea-1.12.8.tar.bz2 1496590 BLAKE2B 8b2f7298b58bd400a3daffc48c0f6b907cbcade054f08a57da7ca8f291fb9f2a86b9e2dbcacab58a43c3a0c19d05304f6d5fc0f77acd7cced51090bcf3a0e154 SHA512 46f70bed9b9ae1a6d578dbda3d3e7751b839bee91443c245cc83a17d89f3a1c59fe6346f0ee4e72103511404620fcd65733121527cb841ba0c2be2f4d182b51b
diff --git a/net-news/liferea/liferea-1.12.3.ebuild b/net-news/liferea/liferea-1.12.3.ebuild
deleted file mode 100644
index 5ab02798eae9..000000000000
--- a/net-news/liferea/liferea-1.12.3.ebuild
+++ /dev/null
@@ -1,67 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-GNOME2_EAUTORECONF="yes"
-PYTHON_COMPAT=( python3_{6,7} )
-
-inherit gnome2 pax-utils python-single-r1
-
-MY_P=${P/_/-}
-
-DESCRIPTION="News Aggregator for RDF/RSS/CDF/Atom/Echo feeds"
-HOMEPAGE="https://lzone.de/liferea/"
-SRC_URI="https://github.com/lwindolf/${PN}/releases/download/v${PV/_/-}/${MY_P}.tar.bz2"
-
-LICENSE="GPL-2+"
-SLOT="0"
-KEYWORDS="amd64 ~arm ~ppc x86"
-IUSE=""
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-
-RDEPEND="${PYTHON_DEPS}
- >=dev-db/sqlite-3.7.0:3
- >=dev-libs/glib-2.28.0:2
- dev-libs/gobject-introspection
- dev-libs/json-glib
- >=dev-libs/libpeas-1.0.0[gtk,python,${PYTHON_SINGLE_USEDEP}]
- >=dev-libs/libxml2-2.6.27:2
- >=dev-libs/libxslt-1.1.19
- gnome-base/gsettings-desktop-schemas
- >=net-libs/libsoup-2.42:2.4
- net-libs/webkit-gtk:4
- x11-libs/gtk+:3
- >=x11-libs/pango-1.4.0"
-DEPEND="${RDEPEND}
- dev-util/intltool
- virtual/pkgconfig"
-
-S="${WORKDIR}"/${MY_P}
-
-src_configure() {
- gnome2_src_configure --disable-schemas-compile
-}
-
-src_compile() {
- # Workaround crash in libwebkit2gtk-4.0.so
- # https://bugs.gentoo.org/704594
- WEBKIT_DISABLE_COMPOSITING_MODE=1 \
- gnome2_src_compile
-}
-
-src_install() {
- gnome2_src_install
-
- # bug #338213
- # Uses webkit's JIT. Needs mmap('rwx') to generate code in runtime.
- # MPROTECT policy violation. Will sit here until webkit will
- # get optional JIT.
- pax-mark m "${ED%/}"/usr/bin/liferea
-}
-
-pkg_postinst() {
- elog "If you want to enhance the functionality of this package,"
- elog "you should consider installing:"
- elog " net-misc/networkmanager"
-}
diff --git a/net-news/liferea/liferea-1.12.8.ebuild b/net-news/liferea/liferea-1.12.8.ebuild
new file mode 100644
index 000000000000..247177a564a7
--- /dev/null
+++ b/net-news/liferea/liferea-1.12.8.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit autotools gnome2-utils python-single-r1 xdg
+
+DESCRIPTION="News Aggregator for RDF/RSS/CDF/Atom/Echo feeds"
+HOMEPAGE="https://lzone.de/liferea/"
+SRC_URI="https://github.com/lwindolf/${PN}/releases/download/v${PV}/${P}.tar.bz2"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~x86"
+IUSE=""
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}
+ dev-db/sqlite:3
+ dev-libs/glib:2
+ dev-libs/gobject-introspection
+ dev-libs/json-glib
+ dev-libs/libpeas[gtk,python,${PYTHON_SINGLE_USEDEP}]
+ dev-libs/libxml2:2
+ dev-libs/libxslt
+ gnome-base/gsettings-desktop-schemas
+ net-libs/libsoup:2.4
+ net-libs/webkit-gtk:4
+ x11-libs/gtk+:3
+ x11-libs/pango"
+DEPEND="${RDEPEND}"
+BDEPEND="dev-util/intltool
+ virtual/pkgconfig"
+
+src_prepare() {
+ xdg_src_prepare
+
+ sed -i -e 's#$(datadir)/appdata#$(datadir)/metainfo#g' \
+ Makefile.am || die
+ eautoreconf
+}
+
+src_compile() {
+ # Workaround crash in libwebkit2gtk-4.0.so
+ # https://bugs.gentoo.org/704594
+ WEBKIT_DISABLE_COMPOSITING_MODE=1 \
+ default
+}
+
+pkg_preinst() {
+ xdg_pkg_preinst
+ gnome2_schemas_savelist
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+ gnome2_schemas_update
+
+ elog "Additional features can be enabled via"
+ elog "\tapp-crypt/libsecret[introspection] for Libsecret Support plugin"
+ elog "\tdev-python/pycairo and x11-libs/gdk-pixbuf[introspection] for Tray Icon (GNOME Classic) plugin"
+ elog "\tmedia-libs/gstreamer[introspection] for Media Player plugin"
+ elog "\tnet-misc/networkmanager for monitoring network status"
+ elog "\tx11-libs/libnotify[introspection] for Popup Notifications plugin"
+}
diff --git a/net-news/rawdog/rawdog-2.22-r1.ebuild b/net-news/rawdog/rawdog-2.22-r1.ebuild
index f5c057c921f8..971cf256bed8 100644
--- a/net-news/rawdog/rawdog-2.22-r1.ebuild
+++ b/net-news/rawdog/rawdog-2.22-r1.ebuild
@@ -8,7 +8,7 @@ PYTHON_COMPAT=( python2_7 )
inherit distutils-r1
DESCRIPTION="Rawdog, RSS Aggregator Without Delusions Of Grandeur"
-HOMEPAGE="http://offog.org/code/rawdog.html https://pypi.org/project/rawdog/"
+HOMEPAGE="https://offog.org/code/rawdog.html https://pypi.org/project/rawdog/"
SRC_URI="http://offog.org/files/${P}.tar.gz"
LICENSE="GPL-2"
diff --git a/net-news/rsstail/rsstail-1.8.ebuild b/net-news/rsstail/rsstail-1.8.ebuild
index 9e245b82efe6..1cac0440f8f4 100644
--- a/net-news/rsstail/rsstail-1.8.ebuild
+++ b/net-news/rsstail/rsstail-1.8.ebuild
@@ -6,7 +6,7 @@ EAPI=4
inherit toolchain-funcs
DESCRIPTION="A tail-like RSS-reader"
-HOMEPAGE="http://www.vanheusden.com/rsstail/"
+HOMEPAGE="https://www.vanheusden.com/rsstail/"
SRC_URI="http://www.vanheusden.com/${PN}/${P}.tgz"
LICENSE="GPL-2"
diff --git a/net-news/rsstool/rsstool-1.0.1_rc2.ebuild b/net-news/rsstool/rsstool-1.0.1_rc2.ebuild
index 3fd9289ef971..6c3d0c248185 100644
--- a/net-news/rsstool/rsstool-1.0.1_rc2.ebuild
+++ b/net-news/rsstool/rsstool-1.0.1_rc2.ebuild
@@ -8,7 +8,7 @@ inherit toolchain-funcs
MY_P=${PN}-${PV/_}
DESCRIPTION="cmdline tool to read, parse, merge, and write RSS (and Atom) feeds"
-HOMEPAGE="http://rsstool.sourceforge.net/"
+HOMEPAGE="https://sourceforge.net/projects/rsstool/"
SRC_URI="mirror://sourceforge/${PN}/${MY_P}-src.zip"
LICENSE="GPL-2"
diff --git a/net-news/yydecode/yydecode-0.2.10-r1.ebuild b/net-news/yydecode/yydecode-0.2.10-r1.ebuild
index 1f94a29951d9..afa1e18487da 100644
--- a/net-news/yydecode/yydecode-0.2.10-r1.ebuild
+++ b/net-news/yydecode/yydecode-0.2.10-r1.ebuild
@@ -4,7 +4,7 @@
EAPI=5
DESCRIPTION="A decoder for yENC format, popular on Usenet"
-HOMEPAGE="http://yydecode.sourceforge.net/"
+HOMEPAGE="https://sourceforge.net/projects/yydecode/"
SRC_URI="mirror://sourceforge/yydecode/${P}.tar.gz"
LICENSE="GPL-2"